before_script:
  - bundle install

stages:
  - test
  - deploy

variables:
  RAILS_ENV=test

test:
  script:
    - bundle exec rake db:create
    - bundle exec rake test
  only:
    - master

deploy:
  only:
    - master
  script:
    - bundle exec mina setup
    - bundle exec mina deploy
